%global realname riak_client
%global upstream basho


Name:		erlang-%{realname}
Version:	2.5.3
Release:	%mkrel 5
BuildArch:	noarch
Summary:	Erlang client for Riak
Group:		Development/Erlang
License:	ASL 2.0
URL:		https://github.com/%{upstream}/riak-erlang-client
VCS:		scm:git:https://github.com/%{upstream}/riak-erlang-client.git
Source0:	https://github.com/%{upstream}/riak-erlang-client/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-riak_client-0001-Allow-more-Erlang-versions.patch
Patch2:		erlang-riak_client-0002-Add-deprecation-for-Erlang-20-as-well.patch
Patch3:		erlang-riak_client-0003-Remove-excessive-export_all-directive.patch
BuildRequires:	erlang-riak_pb
BuildRequires:	erlang-rebar
Provides:	riak-erlang-client%{?_isa} = %{version}-%{release}


%description
Erlang client for Riak.


%prep
%setup -q -n riak-erlang-client-%{version}
%autopatch -p1


%build
%{rebar_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md edoc/
%{erlang_appdir}/


%changelog
* Wed Nov 23 2022 neoclust <neoclust> 2.5.3-5.mga9
+ Revision: 1910596
- Allow to build against erlang 24
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 2.5.3-3.mga8
+ Revision: 1661773
- make pkg noarch

* Wed Feb 12 2020 umeabot <umeabot> 2.5.3-2.mga8
+ Revision: 1511381
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 2.5.3-1.mga7
+ Revision: 1296389
- new version 2.5.3 (sync with Fedora)

* Sat May 07 2016 neoclust <neoclust> 2.1.1-1.mga6
+ Revision: 1010443
- imported package erlang-riak_client

